"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var app_service_1 = require('../app.service');
var VolumeChartComponent = (function () {
    function VolumeChartComponent(_appService) {
        this._appService = _appService;
        this.stocks = [];
    }
    VolumeChartComponent.prototype.ngOnInit = function () {
        this.desiredHeight = 0.08 * (window.screen.height) + "px";
        this.stocks = this._appService.getVolumeChartData();
        this.chartOptions = this.getVolumeChartOptions();
    };
    VolumeChartComponent.prototype.getVolumeChartOptions = function () {
        return {
            axes: this.getVolumeChartAxes(),
            series: this.getVolumeChartSeries(),
            gridMode: 'none',
            width: "100%",
            height: this.desiredHeight,
            theme: "metro",
            leftMargin: 0,
            rightMargin: 15,
            windowRectMinWidth: 0.02,
            syncChannel: "channel1",
            synchronizeVertically: false,
            syncrhonizeHorizontally: false
        };
    };
    VolumeChartComponent.prototype.getVolumeChartAxes = function () {
        return [
            {
                name: "xAxis",
                type: "categoryX",
                label: "Date",
                labelVisibility: "collapsed"
            },
            {
                name: "yAxis",
                type: "numericY",
                labelLocation: "outsideRight",
                majorStroke: "rgba(153,153,153,0.1)",
                isLogarithmic: true,
                labelExtent: 40
            }
        ];
    };
    VolumeChartComponent.prototype.getVolumeChartSeries = function () {
        return [
            {
                type: "column",
                outline: "rgba(0,0,0,0)",
                isHighlightingEnabled: true,
                isTransitionInEnabled: true,
                valueMemberPath: "Volume",
                xAxis: "xAxis",
                yAxis: "yAxis",
                name: "indicatorSeries",
                title: "Financial Indicator Data",
                showTooltip: true
            }
        ];
    };
    VolumeChartComponent = __decorate([
        core_1.Component({
            moduleId: module.id,
            selector: 'volumechart',
            templateUrl: 'volumechart.component.html'
        }), 
        __metadata('design:paramtypes', [app_service_1.AppService])
    ], VolumeChartComponent);
    return VolumeChartComponent;
}());
exports.VolumeChartComponent = VolumeChartComponent;
//# sourceMappingURL=volumechart.component.js.map